Package io.vertx.rxjava3.ext.web.multipart

## Class MultipartForm

- java.lang.Object
- - io.vertx.rxjava3.ext.web.multipart.MultipartForm

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `Iterable<FormDataPart>`

      public class MultipartForm
      extends Object
      implements io.vertx.lang.rx.RxDelegate, Iterable<FormDataPart>

  A multipart form.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MultipartForm>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartForm​(MultipartForm delegate)` |
    `MultipartForm​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MultipartForm` | `attribute​(String name, String value)` | Add an attribute form data part.
    `MultipartForm` | `binaryFileUpload​(String name, String filename, Buffer content, String mediaType)` | Add a binary file upload form data part.
    `MultipartForm` | `binaryFileUpload​(String name, String filename, String pathname, String mediaType)` | Add a binary file upload form data part.
    `static MultipartForm` | `create()` |
    `boolean` | `equals​(Object o)` |
    `Charset` | `getCharset()` |
    `MultipartForm` | `getDelegate()` |
    `int` | `hashCode()` |
    `Iterator<FormDataPart>` | `iterator()` |
    `static MultipartForm` | `newInstance​(MultipartForm arg)` |
    `MultipartForm` | `setCharset​(String charset)` | Set the `charset` to use when encoding the form.
    `MultipartForm` | `setCharset​(Charset charset)` | Set the `charset` to use when encoding the form.
    `MultipartForm` | `textFileUpload​(String name, String filename, Buffer content, String mediaType)` | Add a text file upload form data part.
    `MultipartForm` | `textFileUpload​(String name, String filename, String pathname, String mediaType)` | Add a text file upload form data part.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MultipartForm> __TYPE_ARG

  - ### Constructor Detail

    - #### MultipartForm

          public MultipartForm​(MultipartForm delegate)

    - #### MultipartForm

          public MultipartForm​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### iterator

          public Iterator<FormDataPart> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormDataPart>`

    - #### getDelegate

          public MultipartForm getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static MultipartForm create()

      Returns:
        a multipart form instance

    - #### setCharset

          public MultipartForm setCharset​(String charset)

      Set the `charset` to use when encoding the form. The default charset is `StandardCharsets`.
      Parameters:
        `charset` - the charset to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### attribute

          public MultipartForm attribute​(String name,
                                         String value)

      Add an attribute form data part.
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute
      Returns:
        a reference to this, so the API can be used fluently

    - #### textFileUpload

          public MultipartForm textFileUpload​(String name,
                                              String filename,
                                              String pathname,
                                              String mediaType)

      Add a text file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `pathname` - the pathname of the file
        `mediaType` - the MIME type of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### textFileUpload

          public MultipartForm textFileUpload​(String name,
                                              String filename,
                                              Buffer content,
                                              String mediaType)

      Add a text file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `content` - the content of the file
        `mediaType` - the MIME type of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### binaryFileUpload

          public MultipartForm binaryFileUpload​(String name,
                                                String filename,
                                                String pathname,
                                                String mediaType)

      Add a binary file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `pathname` - the pathname of the file
        `mediaType` - the MIME type of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### binaryFileUpload

          public MultipartForm binaryFileUpload​(String name,
                                                String filename,
                                                Buffer content,
                                                String mediaType)

      Add a binary file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `content` - the content of the file
        `mediaType` - the MIME type of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### setCharset

          public MultipartForm setCharset​(Charset charset)

      Set the `charset` to use when encoding the form. The default charset is `StandardCharsets`.
      Parameters:
        `charset` - the charset to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### getCharset

          public Charset getCharset()

      Returns:
        the charset to use when encoding the form

    - #### newInstance

          public static MultipartForm newInstance​(MultipartForm arg)